Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1272191 - grouped resources converted to separate resources
Summary: grouped resources converted to separate resources
Keywords:
Status: NEW
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: clufter
Version: 7.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Jan Pokorný [poki]
QA Contact: cluster-qe@redhat.com
URL:
Whiteboard:
Depends On: 1206640
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-10-15 17:25 UTC by Miroslav Lisik
Modified: 2018-10-02 02:12 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1206640
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)
cluster.conf with service configuration (deleted)
2015-10-15 17:25 UTC, Miroslav Lisik
no flags Details

Description Miroslav Lisik 2015-10-15 17:25:29 UTC
Created attachment 1083315 [details]
cluster.conf with service configuration

+++ This bug was initially created as a clone of Bug #1206640 +++

Description of problem:
Resources from service groups get converted to separate resources, causing undesired behavior (resources started on different nodes).

Version-Release number of selected component (if applicable):
python-clufter-0.50.4-1.el7

How reproducible:
always

Steps to Reproduce:
1. cluster.conf with service group containing multiple resources
2. convert with clufter and deploy to pacemaker cluster
3. resources get started on different nodes

Actual results:
separate resources started on different nodes

Expected results:
grouped resources, running on the same node

Additional info:
The issue is caused by an attribute of service element which is 'exclusive="1"'. Look at the bug 1206640, comment 2.
Find attached configuration file with tested service group. If service is not set as 'exclusive' then resources are converted into one resource group, so they running on the same node.

Comment 2 Miroslav Lisik 2017-02-02 11:19:11 UTC
This bug can be closed because conversion of service element which has attribute 'exclusive="1"' is not supported.

Comment 3 Jan Pokorný [poki] 2017-05-30 16:07:33 UTC
It may be per [comment 2] at the end of the day, but I'd like to dedicate
a bit of time for proper analysis, hence bumping to 7.5 at this point.

Comment 4 Jan Pokorný [poki] 2017-11-07 15:54:42 UTC
Capacity asks for postponing for 7.6 consideration.


Note You need to log in before you can comment on or make changes to this bug.